#include <stdlib.h>
#include <time.h>

#include "delay.h"
#include "entsort.h"

typedef int t[30001];

int
main(void)
{
    int i;
    int nument;
    int enttriat;
    clock_t temps;
    int m, e, d;
    t tent;
    int TEMPS_INSTRUCCIO;

    LlegirEnter(&TEMPS_INSTRUCCIO);
    /* omplim la taula amb enters qualssevol */
    LlegirEnter(&nument);
    for (i = 0; i < nument; i++)
	tent[i] = i;
    /* afegim el sentinella */
    tent[i] = -1;

    /* fem la cerca de l'enter triat */
    LlegirEnter(&enttriat);

    temps = clock();

    e = 0;
    d = nument;
    while (e < d) {
	m = (e + d) / 2;
	if (tent[m] >= enttriat)
	    d = m;
	else
	    e = m + 1;
	delay(TEMPS_INSTRUCCIO);
    }

    temps = clock() - temps;

    /* escrivim els resultats */
    EscriureMissatge("\n\nRESULTATS DE LA CERCA:\n");
    if (tent[e] == enttriat) {
      EscriureMissatge("TROBAT: tent[");
      EscriureEnter(e);
      EscriureMissatge("]=");
      EscriureEnter(enttriat);
      EscriureCaracter('\n');
    } else {
      EscriureMissatge("NO TROBAT\n");
    }
    EscriureMissatge("Temps de cerca = ");
    EscriureReal(((float)(temps)) / ((float)(CLOCKS_PER_SEC)));
    EscriureMissatge(" segons\n");

    return EXIT_SUCCESS;

}
