/*
 * entsort.c
 *      Operacions d'entrada/sortida
 */

/*
 * Inclusions estandard
 */
#include <assert.h>
#include <stdio.h>

/*
 * Inclusions
 */
#include "entsort.h"

/*
 * Implementacio dels subprogrames
 */
void
LlegirCaracter(char *const c)
{
  *c = getchar();
}

void
LlegirEnter(int *const i)
{
  int ret;
  
  ret = scanf("%d", i);
  assert(ret == 1);
}

void
LlegirReal(float *const f)
{
  int ret;
  
  ret = scanf("%f", f);
  assert(ret == 1);
}

void
EscriureCaracter(char c)
{
  putchar(c);
}

void
EscriureEnter(int i)
{
  int ret;
  
  ret = printf("%d", i);
  assert(ret > 0);
}

void
EscriureReal(float f)
{
  int ret;
  
  ret = printf("%g", f);
  assert(ret > 0);
}

void
EscriureMissatge(char c[])
{
  printf(c);
}











